# Debug Headers

This module helps to spot that headers are created correctly on reverse proxy
systems. By printing out the headers in a block you can look at issues with
caused by not sending the correct headers to Drupal.

For example, when using reverse proxy services or CDNs you will probably want
the X-Forwarded-Host header to be sent by the service so that Drupal can
respond with the correct domain.

This header block can render as HTML comments in order to hide the headers from
view. There are some security concerns in doing this so you should only do this
if you really, really need to.

## Usage

- Install the module as normal.
- Give the user roles you want to allow access to the sessions page the
permission "view debug headers block".
- Add the Debug Headers block to a page or pages that you want to test.
- When you visit the page you will see a list of the headers reported by the
application.

## Permissions

The following permissions are defined.

### View the debug headers block

- Machine name: view debug headers block
- Description: Allows access to the debug headers block to view headers
information.
